javax.xml.registry.infomodel

## Interface RegistryEntry

- All Superinterfaces:
    ExtensibleObject, RegistryObject, Versionable
  All Known Subinterfaces:
    ClassificationScheme, ExtrinsicObject, RegistryPackage, Service

      public interface RegistryEntry
      extends RegistryObject, Versionable

  The RegistryEntry interface is a base interface for interfaces in the model that require additional metadata beyond what is provided by the RegistryObject interface. A few interfaces in the model represent high level (coarse grain) objects in the registry that require additional metadata such as version information and indication of the stability or volatility of the information.
  Author:
    Farrukh S. Najmi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STABILITY_DYNAMIC` RegistryEntry may change at any time.
    `static int` | `STABILITY_DYNAMIC_COMPATIBLE` RegistryEntry may change at any time, however the changes will be backward compatible.
    `static int` | `STABILITY_STATIC` RegistryEntry will not change.
    `static int` | `STATUS_APPROVED` RegistryEntry has been submitted and approved.
    `static int` | `STATUS_DEPRECATED` RegistryEntry has been deprecated.
    `static int` | `STATUS_SUBMITTED` RegistryEntry has been submitted.
    `static int` | `STATUS_WITHDRAWN` RegistryEntry has been withdrawn by the submitter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getExpiration()` Gets expirationDate attribute of the RegistryEntry within the Registry.
    `int` | `getStability()` Gets the stability indicator for the RegistryEntry within the Registry.
    `int` | `getStatus()` Gets the life cycle status of the RegistryEntry within the registry.
    `void` | `setExpiration(Date expiration)` Sets the expirationDate.
    `void` | `setStability(int stability)` Sets the stability indicator for the RegistryEntry.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

    - ### Methods inherited from interface javax.xml.registry.infomodel.Versionable

      `getMajorVersion, getMinorVersion, getUserVersion, setMajorVersion, setMinorVersion, setUserVersion`

- - ### Field Detail

    - #### STATUS_SUBMITTED

          static final int STATUS_SUBMITTED

      RegistryEntry has been submitted.
      See Also:
        Constant Field Values

    - #### STATUS_APPROVED

          static final int STATUS_APPROVED

      RegistryEntry has been submitted and approved.
      See Also:
        Constant Field Values

    - #### STATUS_DEPRECATED

          static final int STATUS_DEPRECATED

      RegistryEntry has been deprecated.
      See Also:
        Constant Field Values

    - #### STATUS_WITHDRAWN

          static final int STATUS_WITHDRAWN

      RegistryEntry has been withdrawn by the submitter.
      See Also:
        Constant Field Values

    - #### STABILITY_DYNAMIC

          static final int STABILITY_DYNAMIC

      RegistryEntry may change at any time.
      See Also:
        Constant Field Values

    - #### STABILITY_DYNAMIC_COMPATIBLE

          static final int STABILITY_DYNAMIC_COMPATIBLE

      RegistryEntry may change at any time, however the changes will be backward compatible.
      See Also:
        Constant Field Values

    - #### STABILITY_STATIC

          static final int STABILITY_STATIC

      RegistryEntry will not change.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getStatus

          int getStatus()
                        throws JAXRException

      Gets the life cycle status of the RegistryEntry within the registry.

      Capability Level: 1
        This method must throw UnsupportedCapabilityException in lower capability levels.
      Returns:
        the life cycle status as an integer enumeration
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getStability

          int getStability()
                           throws JAXRException

      Gets the stability indicator for the RegistryEntry within the Registry. The stability indicator is provided by the submitter as an indication of the level of stability for the content.

      Capability Level: 1
        This method must throw UnsupportedCapabilityException in lower capability levels.
      Returns:
        the stability indicator as an integer enumeration
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `STABILITY_DYNAMIC`

    - #### setStability

          void setStability(int stability)
                            throws JAXRException

      Sets the stability indicator for the RegistryEntry.

      Capability Level: 1
        This method must throw UnsupportedCapabilityException in lower capability levels.
      Parameters:
        `stability` - the stability indicator
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getExpiration

          Date getExpiration()
                             throws JAXRException

      Gets expirationDate attribute of the RegistryEntry within the Registry. This attribute defines a time limit upon the stability indication provided by the stability attribute. Once the expirationDate has been reached the stability attribute in effect becomes STABILITY_DYNAMIC implying that content can change at any time and in any manner. A null value implies that there is no expiration on stability attribute.

      Capability Level: 1
        This method must throw UnsupportedCapabilityException in lower capability levels.
      Returns:
        the expiration Date for the stability indicator
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setExpiration

          void setExpiration(Date expiration)
                             throws JAXRException

      Sets the expirationDate.

      Capability Level: 1
      Parameters:
        `expiration` - the expiration Date for the stability indicator
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.